Name:           pyhunspell
Version:        0.1
Release:        13%{?dist}
Summary:        Python bindings for hunspell

Group:          Development/Languages
License:        LGPLv3+
URL:            http://code.google.com/p/pyhunspell/
Source0:        http://pyhunspell.googlecode.com/files/hunspell-%{version}.tar.gz

BuildRequires:  python2-devel hunspell-devel
# make it build with hunspell-1.3:
Patch0: pyhunspell-0.1-hunspell13.patch
# see:
# https://bugzilla.redhat.com/show_bug.cgi?id=800116
# http://code.google.com/p/pyhunspell/issues/detail?id=4
# patch from Eugene Sizikov:
# http://code.google.com/p/pyhunspell/issues/detail?id=4#c1
Patch1: pyhunspell-0.1-rhbz800116.patch

%description
These are python bindings for hunspell, that allow to use the hunspell library
in python.


%prep
%setup -q -n hunspell-%{version}
%patch0 -p1 -b .hunspell13
%patch1 -p0 -b .rhbz800116

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc PKG-INFO
%{python_sitearch}/hunspell.so
%{python_sitearch}/hunspell-*.egg-info


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 11 2013 Mike FABIAN <mfabian@redhat.com> - 0.1-9
- Resolves: #800116 - Bugs found in pyhunspell-0.1-6.fc17 using gcc-with-cpychecker static analyzer 

* Wed Jan 09 2013 Till Maas <opensource@till.name> - 0.1-8
- python site_arch macro is not needed now, remove it
- remove buildroot tag
- Add comment/bz reference for patch
- removal of buildroot in %%install
- remove %%clean section
- remove defattr(-,root,root,-)
- Add PKG-INFO to %%doc
- BuildRequires should be python2-devel and not just python-devel

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed May 25 2011 Caolán McNamara <caolanm@redhat.com> - 0.1-5
- rebuild for new hunspell

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Aug 25 2009 Till Maas <opensource@till.name> - 0.1-2
- Remove CFLAGS, whiche are used automagically
- Change the %%description to a full sentence
- Adjust the license tag, it's actually LGPLv3+

* Wed Jul 29 2009 Till Maas <opensource@till.name> - 0.1-1
- Initial spec for Fedora
